nav{    
    display: flex;
    justify-content: space-between;
    align-items: center; 
    height: 8vh;
}
nav .logo{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100%;
}
nav .logo a{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 1.3rem;
    height: 100%;
}
nav .logo a:hover{
    color: black;
}

nav .nav{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.nav li{
    list-style: none;
}

.nav li a{
    text-decoration: none;
    color: #fff;
    
}

.nav li a:hover{
    color: black;
}



.btn-logar button:hover{
 
    background-color: gray;
 
}
nav img{
    display: block;
    width: 30px;
    height: 30px;
    cursor: pointer;
}
.offcanvas-header .navbar-brand{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-weight: bold;
}
.offcanvas-body ul li{
    list-style: none;
    margin-top: 10px;
}
.offcanvas-body ul li a{
    text-decoration: none;
    color: black;
}
.offcanvas-body .buttons{
    width: 100%;
    display: flex;
    flex-direction: column;
}
.offcanvas-body .buttons button{
    margin-top: 10px;
    width: 100%;
}
@media screen and (max-width: 500px){
    nav{
        height: 100px;
        padding: 10px;
    }   
    nav .offcanvas{
        display: block;
    }
    nav .logo a{
        text-decoration: none;
        color: #fff;
        font-size: 1rem;
    }
    .btn-logar button{
        font-size: 1rem;
    }
}


@media screen and (max-width: 700px){
    nav .nav{
        display: none;
    }
    nav .nav, .btn-logar{
        display: none;
    }
    nav .logo a{
        text-decoration: none;
        color: #fff;
        font-size: 1rem;
    }
    nav .offcanvas{
        display: block;
    }
  
}

@media screen and (min-width: 500px){
    nav .nav{
        gap: 10px;
    }
    .nav li a{
        font-size: 1rem;
    }
    nav .logo a{
        text-decoration: none;
        color: #fff;
        font-size: 1rem;
    }
    
   .btn-logar button{        
        font-size: 1rem;
    }

}

@media screen and (min-width: 900px){
    nav .nav{
        gap: 20px;
    }
    .nav li a{
        font-size: 1.3rem;
    }
    nav .logo a{
        text-decoration: none;
        color: #fff;
        font-size: 1.3rem;
    }
   .btn-logar button{        
        font-size: 1.3rem;
    }

}

